import DS from 'ember-data'

export default DS.Model.extend
  conditional_base_value: DS.attr('string', defaultValue: '')
  connection_type: DS.attr('string') # attached, constraint, info

  workflow_action_definition: DS.belongsTo('panda/workflow-action-definition', inverse: 'workflow_action_connections')
  base_workflow_action_definition: DS.belongsTo('panda/workflow-action-definition', inverse: 'pointing_workflow_action_connections')
